/**
 * 
 * @author schauer
 * 
 * Klasse Hauptprogramm beinhaltet nur die Main-Methode zur Ausfuehung des Programms. 
 * Die Klasse Student ist in einer eigenen Datei definiert, die sich im selben Verzeichnis (Package) befindet.
 */
public class Hauptprogramm {

	//Main-Methode
	public static void main(String[] args){
		
		// Objekt erzeugung aus der Klasse Student
		Student studi1 = new Student("Peter",3);
		Student studi2 = new Student("Hanna",5);
		
		// Aufruf der Methode lernen() auf den beiden Objekten studi1 und studi2
		studi1.lernen();
		studi2.lernen();	
		
		// Ausgabe auf der Konsole. Lesender Zugriff auf die Instanzvariablen nur mittels Getter moeglich!
		System.out.println(studi1.getName()+" ist im "+studi1.getSemester()+ ". Semester.");
		System.out.println(studi2.getName()+" ist im "+studi2.getSemester()+ ". Semester.");
		
		System.out.println("Zeit vergeht");
		
		// Aufruf des Setters, um die Semesteranzahl zu erhoehen. 
		studi1.setSemester(studi1.getSemester()+1);
		
		// Aufruf des Setters, um die Semesteranzahl auf 6 zu stellen.  
		studi2.setSemester(6);
		
		// Ausgabe auf der Konsole. Lesender Zugriff auf die Instanzvariablen nur mittels Getter moeglich!
		System.out.println(studi1.getName()+" ist im "+studi1.getSemester()+ ". Semester.");
		System.out.println(studi2.getName()+" ist im "+studi2.getSemester()+ ". Semester.");

	}
}
